<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\TeilnehmerInfo\Detailsreiter\TeilnehmerDetails;

class TeilnehmerDetailsController extends \Kufer\Web\KuferTools\Basis\Controller\AjaxNoContainerToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new TeilnehmerDetailsUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new TeilnehmerDetailsRequest();
    $requestObj->tnr = \GetOperations::getVarValue('tnr');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new TeilnehmerDetailsPresenter($pUseCaseResponse);
  }
}